Subject: gettime: Was (Re: Route cache performance under stress

From: Jamal Hadi <[email-masked]>
Date: Wed, 11 Jun 2003 07:54:53 -0400 (EDT)

Ok, time to go into another separate thread ;->

Sounds like a good idea.

if (skbneedstimestamp)
	do_gettimeofday(&skb->stamp);
else
	defertimestamp()

For defertimestamp() would it be feasible that you store only the
jiffies value in the skb then get timeofday later and somehow
compensate for the difference? Seems very doable to me.

Question is when do you decide skbneedstimestamp?
Is it when the device is in promiscous mode or do it in ip or icmp etc?

cheers,
jamal

On Tue, 10 Jun 2003, David S. Miller wrote:

>    From: Ben Greear <[email-masked]>
>
>    Yes, I understand why we want a time-stamp very early...but if
>    we can get _some_ sort of time stamp very cheap (TSC, for example)
>    then we can potentially defer the more expensive conversion of
>    this stamp into the equivalent of whatever do_gettimeofday will
>    give us.
>
> I fully understand your idea, I've talked about it with Alexey many
> times.  Someone just has to implement it.
>
> pkt_sched.h is probably the place to play, maybe make an
> asm/pkt_sched.h header.
>
>
>